Bug 474551 - 520 -> 530 upgrade: monitoring dependency error
520 -> 530 upgrade: monitoring dependency error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Michael Mráka
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2008-12-04 07:47 EST by Milan Zázrivec
Modified: 2009-08-27 13:33 EDT (History)
0 users

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/rhn/rhn-installation.log (1.58 KB, text/plain)
2008-12-04 08:14 EST, Milan Zázrivec
no flags Details

  None (edit)
Description Milan Zázrivec 2008-12-04 07:47:37 EST
Description of problem:
When upgrading Satellite 5.2.0 on RHEL-4 to Satellite-5.3.0-RHEL4-re20081128.0
embedded db variant, following dependency error pops up:

# ./install.pl --disconnected --upgrade
ERROR: RPM dependency error.  The message was:
Dependencies should have already been resolved, but they are not.
Unresolved rpm dependencies:

...
Package nslogs  2.2.2-13.el4 requires NPusers
Package ConfigPusher-general  1.2.0-6.el4 requires NPusers
...

# rpm -ql nslogs
/etc/logrotate.d/satellite
# rpm -qpl Satellite/nocpulse-common-2.0.13-1.el4.noarch.rpm |grep logrotate\.d
/etc/logrotate.d/nocpulse-common
# rpm -qp --obsoletes Satellite/nocpulse-common-2.0.13-1.el4.noarch.rpm 
NPusers <= 1.17.50-1
np-config <= 2.110.3-7
Comment 1 Milan Zázrivec 2008-12-04 08:14:23 EST
Created attachment 325674 [details]
/var/log/rhn/rhn-installation.log
Comment 2 Miroslav Suchý 2008-12-10 05:59:11 EST
Commited as f2fdbf473a802af361465b1af0f6f46da08fe35b
Fixed in nocpulse-common-2.1.1-1
Comment 3 Miroslav Suchý 2009-01-28 05:25:26 EST
Mass moving to ON_QA.
Comment 4 Michael Mráka 2009-04-01 09:30:31 EDT
Verified. Satellite-5.3.0-RHEL4-re20090327.0

No problem with NPusers.

Note You need to log in before you can comment on or make changes to this bug.